Crystal Space: csHash< T, K, ArrayMemoryAlloc >::Iterator Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHash< T, K, ArrayMemoryAlloc >::Iterator Class Reference

An iterator class for the hash. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
| Iterator (const Iterator &o)
| Copy constructor.
T & | Next ()
| Get the next element's value.
Iterator & | operator= (const Iterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.
## Protected Member Functions
| Iterator (csHash< T, K > *hash0, const K &key0)
## Friends
class | csHash< T, K >

## Detailed Description

### template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>
class csHash< T, K, ArrayMemoryAlloc >::Iterator

An iterator class for the hash.

Definition at line 590 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

csHash< T, K, ArrayMemoryAlloc >::Iterator::Iterator | ( | const Iterator & | o | ) | `[inline]`

Copy constructor.

Definition at line 616 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

bool csHash< T, K, ArrayMemoryAlloc >::Iterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the hash has more elements.

Definition at line 635 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

T& csHash< T, K, ArrayMemoryAlloc >::Iterator::Next | ( |  | ) | `[inline]`

Get the next element's value.

Definition at line 641 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::Elements.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

Iterator& csHash< T, K, ArrayMemoryAlloc >::Iterator::operator= | ( | const Iterator & | o | ) | `[inline]`

Assignment operator.

Definition at line 624 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::Iterator::bucket, csHash< T, K, ArrayMemoryAlloc >::Iterator::element, csHash< T, K, ArrayMemoryAlloc >::Iterator::hash, csHash< T, K, ArrayMemoryAlloc >::Iterator::key, and csHash< T, K, ArrayMemoryAlloc >::Iterator::size.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

void csHash< T, K, ArrayMemoryAlloc >::Iterator::Reset | ( |  | ) | `[inline]`

Move the iterator back to the first element.

Definition at line 650 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h